body{
    background-color: #0f0f1b;
    font-family: 'Source Sans Pro', sans-serif;
    font-weight: normal;
    color: #fff;
    min-height: 1000px;
    letter-spacing: 0.6px;
    cursor: url('../images/Extras/cursor/BrawlStars.cur'), auto;
}

a{
    cursor: url('../images/Extras/cursor/BrawlStarsTaraLink.cur'), auto;
}

.container{
    width: 100%;
    max-width: 1140px;
    margin: 0 auto;
}

header{
    text-align: center;
}

header h1{
    font-size: 50px;
    font-weight: 400;
    margin-bottom: 0;
}

header p{
    line-height: 26px;
    font-weight: 300;
    padding: 0 130px;
}

nav{
    display: inline-block;
    width: 100%;
    border-top: 1px solid;
}

nav ul{
    padding-left: 0;
}

nav ul.left{
    float: left;
}

nav ul.right{
    float: right;
}

nav ul li{
    list-style: none;
    display: inline-block;
    margin-right: 25px;
}

nav ul li:last-child{
    margin-right: 0;
}

nav ul li a{
    text-decoration: none;
    color: #fff;
}

.autoplay_btn label{
    display: flex;
    align-items: center;
}

.autoplay_btn h5{
    margin: 0;
    font-weight: 500;
}

.autoplay_btn span{
    position: relative;
    display: inline-block;
    width: 60px;
    height: 25px;
    border: 2px solid #414072;
    border-radius: 50px;
    margin-left: 5px;
    transition: all ease 0.5s;
}

.autoplay_btn span::before{
    content: '';
    position: absolute;
    width: 20px;
    height: 19px;
    background: #414072;
    border-radius: 50px;
    top: 3px;
    left: 4px;
    transition: all ease 0.5s;
}

.autoplay_btn input:checked ~ span{
    border-color: #7270ca;
    box-shadow: 0 5px 25px rgb(114 112 202 / 0.5), 0 0 25px rgb(114 112 202 / 0.5);
    background: rgb(114 112 202 / 0.2);
}

.autoplay_btn input:checked ~ span::before{
    left: 36px;
    box-shadow: 0 5px 25px rgb(114 112 202 / 0.5), 0 0 25px rgb(114 112 202 / 0.5);
    background: #7270ca;
}

.autoplay_btn input{
    display: none;
}

.play_icon,
.pause_icon,
.download_btn{
    width: 25px;
    height: 25px;
}

.body_content{
    margin-top: 30px;
}

.body_content .title{
    background: #414072;
    color: #fff;
    padding: 20px 5px;
    border-radius: 10px;
    display: flex;
}

.body_content .title span{
    font-size: 20px;
}

.body_content .title span:nth-child(1),
.body_content .list_block span:nth-child(1){
    width: 8%;
}
.body_content .title span:nth-child(2),
.body_content .list_block span:nth-child(2){
    width: 35%;
}
.body_content .title span:nth-child(3),
.body_content .list_block span:nth-child(3){
    width: 16%;    
}
.body_content .title span:nth-child(4),
.body_content .list_block span:nth-child(4){
    width: 16%;
}
.body_content .title span:nth-child(5),
.body_content .list_block span:nth-child(5){
    width: 10%;
}
.body_content .title span:nth-child(6),
.body_content .list_block span:nth-child(6){
    width: 10%;
}

.body_content .list_block{
    position: relative;
    padding: 20px 5px;
    background: #000;
    border: 1px solid transparent;
    border-radius: 10px;
    margin-top: 25px;
    display: flex;
    align-items: center;
}

.body_content .list_block span{
    font-size: 16px;
    font-weight: 400;
}

.body_content .list_block .download_btn{
    position: absolute;
    right: 30px;
}

.body_content .list_block .download_btn:hover{
    opacity: 0.7;
}

/* BEAT ANIMATION */
.body_content .beat_animation ul{
    padding: 0;
    margin: 0;
    text-align: center;
}

.body_content .beat_animation ul li{
    list-style: none;
    height: 40px;
    width: 3px;
    background-color: #fff;
    display: inline-block;
    margin: 0 5px;
    transform-origin: bottom;
    opacity: 0.1;
    animation: beat 1s linear 0s infinite;
    animation-play-state: paused;
}

@keyframes beat{
    50%{
        transform: scaleY(0);
    }
}

.body_content .beat_animation li:nth-child(1){
    animation-delay: 0.2s;
}

.body_content .beat_animation li:nth-child(2){
    animation-delay: 0.4s;
}

.body_content .beat_animation li:nth-child(4){
    animation-delay: 0.3s;
}

.body_content .list_block.isPlaying{
    border: 1px solid #4b4980;
    box-shadow: 0 5px 25px #7471cc5e, 0 0 15px #7471cc5e;
}

/* PLAY BUTTON */
.body_content span.play_btn{
    text-align: center;
}

.body_content span.play_btn img{
    cursor: pointer;
    border-radius: 50px;
    transition: all ease 0.5s;
}

.body_content span.play_btn .pause_icon{
    display: none;
}

.body_content .list_block.isPlaying span.play_btn img{
    box-shadow: 0 5px 25px #7471cc, 0 0 15px #7471cc;
}

/* HIDE AUDIO TRACK */            /* OJO para mostrar o no el audio controls */
.body_content .list_block .track{
    display: none;
}

/* ------------------- Scroll To Top Button ------------------ */

.scrollTop{
    position: fixed;
    bottom: 800px;
    right: 40px;
    width: 60px;
    height: 60px;
    background: #fff url('../images/Extras/up.png');
    border-radius: 50%;
    background-size: 40px;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
    z-index: 100000;
    visibility: hidden;
    opacity: 0;
    transition: 0.5s; /* para la velocidad con que termina de aparecer por completo el botón (velicidad de fade) */
}

.scrollTop.active{
    visibility: visible;
    opacity: 1;
    bottom: 40px;
}

/* ------------------ Scroll Bar ---------------- */

::-webkit-scrollbar{
    width: 0;
}

#scrollPath{
    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    height: 100%;
    background: rgba(255, 255, 255, 0.05);
}

#progressBar{
    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    background: linear-gradient(to top, #008aff, #00ffe7);
    animation: animate 5s linear infinite;
}

@keyframes animate {
    0%, 100%{
        filter: hue-rotate(0deg);
    }
    50%{
        filter: hue-rotate(360deg);
    }
}

#progessBar:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #008aff, #00ffe7);
    filter: blur(10px);
}

#progessBar:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, #008aff, #00ffe7);
    filter: blur(30px);
}